Subject: Re: bug#29187: flymake ruby and perl tests fail on rhel7.4

From: Glenn Morris <[email-masked]>
Date: Mon, 06 Nov 2017 20:35:19 -0500

João Távora wrote:

> Dmitry Gutov <[email-masked]> writes:
[...]
>> It also fails here via 'make check' (with Ruby 1.9.3) but succeeds
>> interactively.

Same here.

> Anyway, Glenn and Dmitry can you please show the output of
>
>   ruby -wc test/lisp/progmodes/flymake-resources/test.rb
>
> and
>
>   perl -wc test/lisp/progmodes/flymake-resources/test.pl
>
> on RHEL7.4? I get, respectively
>
>   test/lisp/progmodes/flymake-resources/test.rb:3: warning: statement
> not reached
>   test/lisp/progmodes/flymake-resources/test.rb:5: syntax error,
> unexpected end-of-input, expecting keyword_end

I get the same.

>   Unquoted string "unknown" may clash with future reserved word at
> test/lisp/progmodes/flymake-resources/test.pl line 2.
>   syntax error at test/lisp/progmodes/flymake-resources/test.pl line 4, at EOF
>   Missing right curly or square bracket at
> test/lisp/progmodes/flymake-resources/test.pl line 4, at end of line
>   test/lisp/progmodes/flymake-resources/test.pl had compilation errors.

I get an extra line:

Unquoted string "unknown" may clash with future reserved word at test/lisp/progmodes/flymake-resources/test.pl line 2.
Scalar value @arr[1] better written as $arr[1] at test/lisp/progmodes/flymake-resources/test.pl line 3.
syntax error at test/lisp/progmodes/flymake-resources/test.pl line 4, at EOF
Missing right curly or square bracket at test/lisp/progmodes/flymake-resources/test.pl line 4, at end of line
test/lisp/progmodes/flymake-resources/test.pl had compilation errors.